rawset(_G, "PizzaBlastStartupTable", function(player)
	player.pizzablast = {
		combo = {
			timer = 0,
			amount = 0,
			canp = 0,
			congrats = false,
			active = false
		},
		other = {
			hardmode = false,
			pbparts = 0
		}
	}
	
	CONS_Printf(player, "Pizza Blast! The only mod where the title lies!")
	CONS_Printf(player, "Mod made by \x8EKirby\x80, the person who'll never make a Kirby mod")
end)

addHook("PlayerThink", function(player)
	if player.mo and player.mo.valid
		if not player.pizzablast then PizzaBlastStartupTable(player) return end
		local pb = player.pizzablast
		if pb.other.hardmode 
		and player.playerstate == PST_LIVE
			player.lives = 1
			player.continues = 0
		end
	end
end)

addHook("PlayerSpawn", function(player)
	if player.mo and player.mo.valid
	and player.pizzablast
		local pb = player.pizzablast
		player.score = 0
		pb.combo.timer = 0
		pb.combo.amount = 0
		pb.combo.canp = true
		pb.combo.active = false
		pb.combo.congrats = false
		if pb.other.hardmode
			pb.combo.timer = 200
		end
	end
end)